@import "./variables.css";

header {
  height: 80px;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  border-bottom: 1px solid var(--primary-light);
}

.logo-text {
  color: var(--primary);
  text-decoration: none;
  font-size: 1.5rem;
}

.logo-wrap {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  column-gap: 1rem;
}

.wrap {
  display: flex;
  flex-direction: column;
  justify-content: start;
  padding-bottom: 2rem;
  min-height: 100%;
  min-width: 100%;
  background-color: rgb(255 255 255);
}

.icon-bg {
  border-radius: 100%;
  background-color: var(--primary-light);
  width: 2rem;
  height: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.icon {
  --width: 60%;
  width: var(--width);
  height: var(--width);
  -webkit-clip-path: polygon(17% 21%, 54% 0, 86% 20%, 54% 100%);
  clip-path: polygon(17% 21%, 54% 0, 86% 20%, 54% 100%);
  background-color: var(--primary);
}

.content {
  display: flex;
  justify-content: center;
  align-items: stretch;
  flex-grow: 1;
}

.aside-nav {
  flex: 1;
  padding-top: 1rem;
  margin: 0 auto;
}

.aside-nav > h2 {
  text-align: center;
}

.aside-nav > ul > li {
  display: flex;
  justify-content: center;
  padding-top: 1rem;
}

.main {
  flex: 2;
  border-left: var(--border);
  border-right: var(--border);
}

.result-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 1rem;
}

/* SECTIONS */

.main > section {
  width: 100%;
  display: flex;
  justify-content: center;
  column-gap: 2rem;
  margin-bottom: 2rem;
}

/* RESULT PAGE */

.image-grid {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 1rem;
  max-width: 1920px;
  gap: 30px;
}

/* CARD */

.card-container {
  background-color: white;
  border: var(--border);
  width: 12rem;
  height: 16rem;
  text-align: center;
  padding: 1rem;
  display: flex;
  flex-direction: column;
}

.card-body > p {
  font-size: 2rem;
  color: var(--primary);
  padding: 3rem 0 2rem 0;
}

.card-button {
  font-size: 1.25rem;
  color: var(--primary);
  text-decoration: none;
  margin-top: auto;
}

.flip-horizontal > svg {
  transform: scale(1, -1);
}

.red {
  color: var(--red);
}

/* TYPOGRAPHY */

.logo-text,
.card-button,
h1,
h2 {
  font-family: var(--headline);
}

h1 {
  font-size: 1.5rem;
}

h2 {
  font-size: 1.25rem;
}

p,
a {
  font-family: var(--body);
}

a {
  color: var(--primary);
}

.page-title {
  text-align: center;
  padding: 2rem 0 1rem;
}
